Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.pool
Class DefaultThreadPoolFactory

    java.lang.Object
      org.mule.config.pool.ThreadPoolFactory
          org.mule.config.pool.DefaultThreadPoolFactory

All Implemented Interfaces:
  MuleContextAware

    public class DefaultThreadPoolFactory

extends ThreadPoolFactory

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.config.pool.ThreadPoolFactory
`muleContext`

Constructor Summary
`DefaultThreadPoolFactory()`

Method Summary
`protected void` | `configureThreadFactory(String name, ThreadingProfile tp, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor pool)`
`edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor` | `createPool(String name, ThreadingProfile tp)`
`protected edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor` | `internalCreatePool(String name, ThreadingProfile tp, edu.emory.mathcs.backport.java.util.concurrent.BlockingQueue buffer)`

Methods inherited from class org.mule.config.pool.ThreadPoolFactory
`newInstance, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### DefaultThreadPoolFactory

    public DefaultThreadPoolFactory()

Method Detail

### createPool

    public edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor createPool(String name,
                                                                                        ThreadingProfile tp)

  Specified by:
    `createPool` in class `ThreadPoolFactory`

### configureThreadFactory

    protected void configureThreadFactory(String name,
                                          ThreadingProfile tp,
                                          edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor pool)

### internalCreatePool

    protected edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor internalCreatePool(String name,
                                                                                                   ThreadingProfile tp,
                                                                                                   edu.emory.mathcs.backport.java.util.concurrent.BlockingQueue buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.